# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name ghc-paths

%global common_summary Interface to GHC's installation directories

%global common_description Knowledge of GHC's installation directories.

Name:           ghc-%{pkg_name}
Version:        0.1.0.8
Release:        9%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-base-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files


%changelog
* Tue Jan 24 2012 Jens Petersen <petersen@redhat.com> - 0.1.0.8-9
- update to cabal2spec-0.25.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0.8-8.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.1.0.8-7.3
- rebuild with new gmp without compat lib

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.1.0.8-7.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.1.0.8-7.1
- rebuild with new gmp

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.1.0.8-7
- BR ghc-Cabal-devel instead of ghc-prof (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.1.0.8-6
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Jens Petersen <petersen@redhat.com>
- update to cabal2spec-0.22.4

* Fri Nov 26 2010 Jens Petersen <petersen@redhat.com> - 0.1.0.8-3
- update url and drop -o obsoletes

* Wed Sep 29 2010 jkeating - 0.1.0.8-2
- Rebuilt for gcc bug 634757

* Tue Sep 21 2010 Jens Petersen <petersen@redhat.com> - 0.1.0.8-1
- update to 0.1.0.8

* Thu Sep 16 2010 Jens Petersen <petersen@redhat.com> - 0.1.0.7-1
- update to 0.1.0.7

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 0.1.0.6-4
- add hscolour and doc obsolete (cabal2spec-0.22.2)

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 0.1.0.6-3
- sync cabal2spec-0.22.1

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 0.1.0.6-2
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Fri Jan 15 2010 Jens Petersen <petersen@redhat.com> - 0.1.0.6-1
- update to 0.1.0.6
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package
- build shared library
- drop redundant buildroot and its install cleaning


* Tue Sep 22 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-9
- rebuild to test versioned ghcdocdir in ghc-rpm-macros

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 24 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-7
- buildrequires ghc-rpm-macros (cabal2spec-0.16)

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-6
- update to cabal2spec-0.14

* Mon Mar  9 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-5
- package renamed from ghc-paths
- update to cabal2spec-0.12

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-3
- update to latest packaging template: use bcond and add doc subpackage

* Tue Dec 23 2008 Jens Petersen <petersen@redhat.com> - 0.1.0.5-2
- improve summary and description (#476483)

* Mon Dec 15 2008 Jens Petersen <petersen@redhat.com> - 0.1.0.5-1
- initial packaging for Fedora
